stages:
  - build
  - linter
  - test

build:
  stage: build
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw package
  artifacts:
    paths:
      - target/db-0.0.1-SNAPSHOT.jar

linter:
  stage: linter
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw spotbugs:spotbugs
  artifacts:
    paths:
      - target/db-0.0.1-SNAPSHOT.jar

test_mcdc:
  stage: test
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw test -Dtest=forumDAOTests

test_branch:
  stage: test
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw test -Dtest=forumControllerTests

test_branch_hw:
  stage: test
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw test -Dtest=forumDAOUserListTests

test_mcdc_hw:
  stage: test
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw test -Dtest=userDAOChangeTests

test_basis_path_hw:
  stage: test
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw test -Dtest=postDAOSetPostTests

test_statement_hw:
  stage: test
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw test -Dtest=threadDAOTreeSortTests
